Subject: bug#58459: Getting a fresh emacs session with no customisation

From: uzibalqa <[email-masked]>
Date: Thu, 13 Oct 2022 17:51:02 +0000

------- Original Message -------
On Thursday, October 13th, 2022 at 4:20 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Thu, 13 Oct 2022 16:06:21 +0000
> > From: uzibalqa [email-masked]
> > Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> > 
> > > And X resources are as much user settings as what the user sets on the
> > > init files. So Emacs cannot but obey them. It is user's
> > > responsibility to set up his/her settings according to his/her
> > > preferences.
> > 
> > Untrue again. Emacs obeys them because it decided to obey them.
> 
> 
> No, Emacs obeys them because programs on X obey them. And because
> Emacs obeyed them since time immemoriam.

You know they can be incorrect because any program can set them up,
rather than entirely by the user.  Even when my x-resources files are
empty, emacs goes out of its ways to get them from who knows where.
"Because emacsn obeyed them since time immemoriam" has always been 
the standard response, rather than employing a rational and conscious
approach.  
 
> Any further argument is really futile, because we will not stop
> supporting X resources. It is your responsibility as the user to set
> up the X resources on your system, or invoke Emacs in a way that
> instructs Emacs to ignore those resources.

It is not the responsibility to set up the X resources.  Most times users
do not configure x-resources for emacs, as has been stated.  It only offers
limitless amount of confusion. 

Have never asked to stop supporting x-resources, but to support them differently.
 
> Please, just accept our position on this, even if you disagree,
> because it will not change.

Of course, I knew that all along.  Nothing changes.